%define xtag X11R7.3
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXpm runtime library
Name: 		libXpm
Version: 	3.5.7
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	libX11-devel
# FIXME: Although ./configure checks for libXt and libXext, and indicates
# that they are missing, it continues to build anyway, and just does not
# build sxpm if they are not present.  Therefore, libXt-devel and
# libXext-devel are required build deps in order to get sxpm built.
BuildRequires: 	libXt-devel
BuildRequires: 	libXext-devel
BuildRequires: 	libXau-devel

Obsoletes: 	xorg-libs

%description
X.Org X11 libXpm runtime library

%package devel
Summary: 	X.Org X11 libXpm development package
Group: 		Development/Libraries

Requires: 	%{name} = %{version}-%{release}
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	libX11-devel

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libXpm development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libXpm.so.4
%{_libdir}/libXpm.so.4.11.0

%files devel
%defattr(-,root,root,-)
%defattr(-,root,root,-)
%{_bindir}/cxpm
%{_bindir}/sxpm
%dir %{_includedir}/X11
%{_includedir}/X11/xpm.h
%if %{with_static}
%{_libdir}/libXpm.a
%endif
%{_libdir}/libXpm.so
%dir %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/xpm.pc
#%dir %{_mandir}/man1x
%{_mandir}/man1/*.1*
#%{_mandir}/man1/*.1x*

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.7-1
- Version update
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.6-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 3.5.5-1
- Initial release
